org.apache.felix.bundleplugin

## Class BundleAllPlugin

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.felix.bundleplugin.BundlePlugin
    - - org.apache.felix.bundleplugin.ManifestPlugin
      - - org.apache.felix.bundleplugin.BundleAllPlugin

- All Implemented Interfaces:
    org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo
  Direct Known Subclasses:
    WrapPlugin

  Deprecated.
  The bundleall goal is no longer supported and may be removed in a future release

      @Deprecated
      @Mojo(name="bundleall",
            requiresDependencyResolution=TEST,
            defaultPhase=PACKAGE)
      public class BundleAllPlugin
      extends ManifestPlugin

  Build an OSGi bundle jar for all transitive dependencies.

- - ### Field Summary

    - ### Fields inherited from class org.apache.felix.bundleplugin.ManifestPlugin

      `rebuildBundle`

    - ### Fields inherited from class org.apache.felix.bundleplugin.BundlePlugin

      `classifier, dumpClasspath, dumpInstructions, excludeDependencies, manifestLocation, niceManifest, packaging, supportedProjectTypes, unpackBundle`

    - ### Fields inherited from interface org.apache.maven.plugin.Mojo

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BundleAllPlugin()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected BundleInfo` | `bundle(org.apache.maven.project.MavenProject project)` Deprecated. Bundle one project only without building its childre
    `protected BundleInfo` | `bundleAll(org.apache.maven.project.MavenProject project, int maxDepth)` Deprecated. Bundle a project and its transitive dependencies up to some depth level
    `void` | `execute()` Deprecated.
    `protected File` | `getFile(org.apache.maven.artifact.Artifact artifact)` Deprecated. Use previously built bundles when available.
    `protected File` | `getOutputFile(org.apache.maven.artifact.Artifact artifact)` Deprecated.
    `protected void` | `logDuplicatedPackages(BundleInfo bundleInfo)` Deprecated. Log what packages are exported in more than one bundle
    `protected boolean` | `snapshotMatch(org.apache.maven.artifact.Artifact artifact, String bundleName)` Deprecated. Check that the bundleName provided correspond to the artifact provided.

    - ### Methods inherited from class org.apache.felix.bundleplugin.ManifestPlugin

      `calculateExportsFromContents, execute, getAnalyzer, getAnalyzer, getManifest, getManifest, writeManifest`

    - ### Methods inherited from class org.apache.felix.bundleplugin.BundlePlugin

      `addMavenInstructions, addMavenSourcePath, buildOSGiBundle, convertVersionToOsgi, dumpClasspath, dumpInstructions, dumpManifest, execute, getBase, getBuildDirectory, getBundleName, getClasspath, getDefaultProperties, getEmbeddableArtifacts, getMaven2OsgiConverter, getMavenResourcePaths, getOptionalPackages, getOSGiBuilder, getOutputDirectory, getProject, includeMavenResources, isTransitivelyOptional, mergeMavenManifest, removeTagFromInstruction, reportErrors, sanitize, sanitize, setBuildDirectory, setMaven2OsgiConverter, setOutputDirectory, transformDirectives`

    - ### Methods inherited from class org.apache.maven.plugin.AbstractMojo

      `getLog, getPluginContext, setLog, setPluginContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BundleAllPlugin

          public BundleAllPlugin()

      Deprecated.

  - ### Method Detail

    - #### execute

          public void execute()
                       throws org.apache.maven.plugin.MojoExecutionException

      Deprecated.
      Specified by:
        `execute` in interface `org.apache.maven.plugin.Mojo`
      Overrides:
        `execute` in class `BundlePlugin`
      Throws:
        `org.apache.maven.plugin.MojoExecutionException`
      See Also:
        `Mojo.execute()`

    - #### bundleAll

          protected BundleInfo bundleAll(org.apache.maven.project.MavenProject project,
                             int maxDepth)
                                  throws org.apache.maven.plugin.MojoExecutionException

      Deprecated.
      Bundle a project and its transitive dependencies up to some depth level
      Parameters:
        `project` -
        `maxDepth` - how deep to process the dependency tree
      Throws:
        `org.apache.maven.plugin.MojoExecutionException`

    - #### bundle

          protected BundleInfo bundle(org.apache.maven.project.MavenProject project)
                               throws org.apache.maven.plugin.MojoExecutionException

      Deprecated.
      Bundle one project only without building its childre
      Parameters:
        `project` -
      Throws:
        `org.apache.maven.plugin.MojoExecutionException`

    - #### getFile

          protected File getFile(org.apache.maven.artifact.Artifact artifact)

      Deprecated.
      Use previously built bundles when available.
      Overrides:
        `getFile` in class `BundlePlugin`
      Parameters:
        `artifact` -

    - #### snapshotMatch

          protected boolean snapshotMatch(org.apache.maven.artifact.Artifact artifact,
                              String bundleName)

      Deprecated.
      Check that the bundleName provided correspond to the artifact provided. Used to determine when the bundle name is a timestamped snapshot and the artifact is a snapshot not timestamped.
      Parameters:
        `artifact` - artifact with snapshot version
        `bundleName` - bundle file name
      Returns:
        if both represent the same artifact and version, forgetting about the snapshot timestamp

    - #### getOutputFile

          protected File getOutputFile(org.apache.maven.artifact.Artifact artifact)

      Deprecated.

    - #### logDuplicatedPackages

          protected void logDuplicatedPackages(BundleInfo bundleInfo)

      Deprecated.
      Log what packages are exported in more than one bundle

Copyright © 2015. All rights reserved.